Package org.eclipse.emf.cdo.common.util

# Class CurrentTimeProvider

java.lang.Object
org.eclipse.emf.cdo.common.util.CurrentTimeProvider

All Implemented Interfaces:
  `CDOTimeProvider`

public class CurrentTimeProvider extends Object implements CDOTimeProvider

Since:
  4.6
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOTimeProvider`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`long`
`getTimeStamp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final CDOTimeProvider INSTANCE

## Method Details

### getTimeStamp

public long getTimeStamp()

Specified by:
  `getTimeStamp` in interface `CDOTimeProvider`